<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">
    <!-- 读取相册权限-Android 12及以下版本的权限 -->
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <!--相机权限，用于打开相机和拍照:如用户反馈等-->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name = "android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage,SelectedPhotoAccess" />
    <uses-permission android:name = "android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="SelectedPhotoAccess" />
    <!-- 读取相册图片权限-Android 13及以上版本的权限 -->
    <uses-permission android:name = "android.permission.READ_MEDIA_IMAGES"
        tools:ignore="PhotoAndVideoPolicy,SelectedPhotoAccess" />
    <!--检测联网方式，在网络异常状态避免数据发送，节省流量和电量-->
    <uses-permission android:name = "android.permission.ACCESS_NETWORK_STATE" />
    <!--查看WIFI网络状态-->
    <uses-permission android:name = "android.permission.ACCESS_WIFI_STATE" />
    <!--网络访问,允许SDK联网和发送数据的最基础权限-->
    <uses-permission android:name = "android.permission.INTERNET" />
    <!--切换网络通道-->
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <!--开关wifi状态，解决国内机型移动网络权限问题需要-->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>

    <!-- 安装应用权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"
        tools:ignore="RequestInstallPackagesPolicy" />
    <uses-permission
        android:name="android.permission.INSTALL_PACKAGES"
        tools:ignore="ProtectedPermissions" />


    <queries>
        <package android:name="com.eg.android.AlipayGphone" /> <!-- 支付宝 -->
        <package android:name="hk.alipay.wallet" /> <!-- AlipayHK -->
    </queries>

    <queries>
        <package android:name="com.tencent.mm" />
    </queries>

    <queries>
        <intent>
            <action android:name="com.getui.sdk.action" />
        </intent>
    </queries>

    <application
        android:name=".BaseApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.rabbit"
        android:enableOnBackInvokedCallback="true"
        android:hardwareAccelerated="true"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:usesCleartextTraffic="true"
        android:networkSecurityConfig="@xml/network_security_config"
        tools:replace="android:allowBackup,android:supportsRtl"
        tools:targetApi="33">
        <activity
            android:name="com.img.rabbit.MainActivity"
            android:theme="@style/SplashTheme"
            android:exported="true"
            android:launchMode="singleTask">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".WebViewActivity"
            android:exported="true"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />



        <activity
            android:name=".wxapi.WXEntryActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar"
            tools:ignore="DiscouragedApi,LockedOrientationActivity" />


        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/filepath_data" />
        </provider>

    </application>

</manifest>